<template>
  <!--v-show="interalRecord"-->
    <div class="interalRecord" >
        <section class="wrapper wrapper--inner wrapper--sp">
      <section class="fixed_block">
        <p class="sales_p">显示近1年的积分</p>
        <div class="point">
          <!---->
          <!-- 會員有效點數-->
          <div class="point_effective"><span class="point_item">有效积分
            <span class="question_icon" @click="show"></span>
          </span><span class="point_data" style="font-size: 0.6rem;margin-top: 0.2rem;">{{pointCounts}}</span></div>
          <!---->
          <!-- 會員可折抵金額-->
          <div class="point_discount">
            <span class="point_item">本月到期积分</span>
            <span class="point_data"   style="margin-top: 0.2rem;"><span style="font-size: 0.6rem;">{{out1MPointCount}}</span><span style="color: #545147;"> 分</span></span>
          </div>
          <div class="point_progress">
            <!---->
            <!-- 進度條-->
            <div class="progress">
              <!---->
              <!-- 將到期點數換算成百分比後代入style.width-->
              <span class="progress_current progress_current--expirePoint"  :style="{width:percent}"></span>
            </div>
          </div>
          <!---->
          <!-- 到期點數-->
          <div class="point_deadline">
            <div><span>近3个月到期积分</span>
              <span class="three_month_data">{{outPointCounts}}</span>
              分
            </div>
          </div>
          <span class="line" style="height: 0.15rem;"></span>
        </div>
      </section>
      <section class="point_list"><span class="line"></span>
        <ul class="point_list_content" >
          <!--sonia测试-->

          <!--sonia测试-->
          <!-- 點數贈送li-->
          <!-- 每個項目有不同的圖示 會以class帶入-->
          <!-- .point_img01 為 入會贈點圖示-->
          <!-- .point_img02 為 綁定贈點圖示-->
          <!-- .point_img03 為 首購贈點圖示-->
          <!-- .point_img04 為 活動贈點圖示-->
          <!-- .point_img05 為 消費抵用圖示-->
          <!-- .point_img06 為 生活贈點圖示-->
          <!-- .point_img07 為 消費積點圖示-->
          <li class="point_list_item " v-for="(item,index) in pointlist" :key="index" style="font-size: 0.3rem;">
            <!---->
            <!-- 入會贈點-->
            <span class="item_img point_img01" v-if="item.pointType==='入会赠送积分' || item.pointType === '会员升等积分' || item.pointType === '会员续卡积分'"></span>
            <span class="item_img point_img02" v-if="item.pointType==='绑定赠送积分'"></span>
            <span class="item_img point_img03" v-if="item.pointType==='首购赠送积分'"></span>
            <span class="item_img point_img04" v-if="item.pointType==='活动赠送积分'"></span>
            <span class="item_img point_img05" v-if="item.pointType==='消费抵用积分' ||  item.pointType === '过期失效积分'"></span>
            <span class="item_img point_img06" v-if="item.pointType==='生日赠送积分' "></span>
            <span class="item_img point_img07" v-if="item.pointType==='消费获得积分' "></span>
            <span class="item_img"   v-if="item.pointType==='人工调整积分' || item.pointType==='退货返还积分'"></span>
            <!---->
            <!-- 增加點數--><span class="item_point_data" v-if="item.pointType!=='消费抵用积分' &&  item.pointType !== '过期失效积分'" style="text-align: center">{{item.ponint}}</span>
            <span class="item_point_data" v-if="item.pointType==='消费抵用积分' ||  item.pointType === '过期失效积分'" style="text-align: center">{{item.ponint}}</span>
            <!---->
            <!-- 點數類別--><span class="item_point_name">{{item.pointType}}</span>
            <!---->
            <!-- 獲得日期-->
            <time class="item_accept_data">{{item.CreateTime}}</time>
          </li>
        </ul>
      </section>
    </section>
    <section class="pop" v-if="popshow" style="display: block;">
      <section class="pop_content"><span class="pop_bk" @click="close">我知道了</span>
        <div class="pop_info">
          <div class="pop_termsBox">
            <h2 class="pop_point_title">消费积分规则</h2>
            <ul class="pop_ul pop_point_list" >
              <li class="in_text">适用于本公司在中国大陆、中国香港及中国台湾之店柜门市或电商通路，会员在前述通路的消费均可累积消费和点数。中国台湾及中国香港之详细会员权益将另行公告。</li>
              <li class="in_text">10/10 FRIENDS会员每消费人民币1元、港币1元或新台币5元，可获得1积分。</li>
              <li class="in_text">店柜门市消费获得积分：将于付款确认后24小时内计入会员账户。</li>
              <li class="in_text">电商通路消费获得积分：将于付款确认后7天内计入会员账户。</li>
              <li class="in_text">10/10 FRIENDS金卡会员、白金卡会员和钻石卡会员可享有消费积分加倍之专享优惠，详细规则请见【会员权益】说明。</li>
            </ul>
          </div>
          <div class="pop_termsBox">
            <h2 class="pop_point_title">积分效期计算</h2>
            <ul class="pop_ul pop_point_list">
              <li class="in_text">消费积分：于指定之店柜门市或电商通路消费而获得之积分，有效期一年，自积分获得日加上12个月并至该月末日失效。</li>
              <li class="in_text">赠送积分：包括注册入会、绑定、首次购物、生日等，有效期三个月，自积分获得日加上3个月并至该月末日失效。</li>
              <li class="in_text">超过有效期仍未使用之积分，系统将自动予以清除归零。例：2019-6-11因消费而获得消费积分500积分，<span >因完成绑定而获得赠送积分200积分，共700积分。</span>如都未折抵使用，<span >将于2019-9-30赠送之200积分失效</span>，剩余500积分。剩余积分若仍未使用，将于2020-6-30自动失效归零。</li>
              <li class="in_text">累积消费金额、累积积分和使用积分以单一会员编号为主，不同会员编号无法合并计算、无法转让，亦无法折换现金，累积消费金额、累积积分和使用积分之纪录以本公司系统为计算依据。</li>
              <li class="in_text">会员通讯方式如有变更请主动于本系统更新，若因未更新而导致无法收到相关讯息，本公司恕不负责。</li>
              <li class="in_text">10/10 FRIENDS会员计划相关制度、积分回馈计划及活动之修改、调整等采用「不溯及既往原则」，且本公司保有最终修改与核准之权利。</li>
            </ul>
          </div>
          <div class="pop_termsBox">
            <div class="pop_point-type">
              <div class="pop_point-icon point_img01"></div>
              <p class="in_text">入会赠送积分：加入【10/10 FRIENDS会员计划】完成注册获得之积分</p>
            </div>
            <div class="pop_point-type">
              <div class="pop_point-icon point_img02"></div>
              <p class="in_text">绑定赠送积分：完成10/10 FRIENDS会员身份绑定，所获得之积分</p>
            </div>
            <div class="pop_point-type">
              <div class="pop_point-icon point_img03"></div>
              <p class="in_text">首购赠送积分：会员确认完成首次消费(订单总金额须大于0且未退货)所获得之积分</p>
            </div>
            <div class="pop_point-type">
              <div class="pop_point-icon point_img04"></div>
              <p class="in_text">活动赠送积分：参与【10/10 FRIENDS会员计划】不定期举办活动所获得之积分</p>
            </div>
            <div class="pop_point-type">
              <div class="pop_point-icon point_img05"></div>
              <p class="in_text">消费抵用积分：当会员使用其账户内的有效积分来兑换优惠券或折抵消费金额时，系统会将这些抵用积分从该账户中扣除</p>
            </div>
            <div class="pop_point-type">
              <div class="pop_point-icon point_img06"></div>
              <p class="in_text">生日赠送积分：完成10/10 FRIENDS会员身份绑定之会员，【10/10 FRIENDS会员计划】在会员生日当月所赠送之积分</p>
            </div>
            <div class="pop_point-type">
              <div class="pop_point-icon point_img07"></div>
              <p class="in_text">消费获得积分：会员完成消费并付款确认(订单总金额须大于0且未退货)后所获得之积分</p>
            </div>
          </div>
        </div>
      </section>
    </section>
    </div>
</template>
<script>
    import store from  '../../utils/store.js';
export default {
    data(){
        return{
                interalRecord:'',
                contactId:'',
                pointCounts:'',//有效点数
                outPointCounts:'',//三个月到期点数
                ponint:'',//积分
                pointType:'',//积分类型
                CreateTime:'',//积分生产日期
                pointlist:[],//积分列表
                out1MPointCount:'',
                popshow:false,
                percent:'',
        }
    },
    methods:{
        //有效积分方法
        show(){
            this.popshow = true;
            this.$forceUpdate();
        },
        //关闭弹窗
        close(){
            this.popshow = false;
            this.$forceUpdate();
        },
        //千分位方法
        thousandth(str){
            if(str === '' || str === null){
                return  str;
            }else{
                let re=/(?=(?!(\b))(\d{3})+$)/g;
                let str1 = str.toString();
                str1=str1.replace(re,",");
                return str1;
            }
        },
        getAjax(){
            let that = this;
            if(store.state.integralRecord.contactId){
                that.contactId = store.state.integralRecord.contactId;
            }else{
                that.contactId = sessionStorage.getItem('contactId');
            }
            let data = {
                contactId: that.contactId,
            }
            this.config.server(
                "/member/point",
                "POST",
                data,
                (data)=> {
                    console.log('success',data);
                    this.interalRecord = true;
                    that.datas = data.records[0];
                    this.pointCounts = this.thousandth(that.datas.pointCounts);
                    this.outPointCounts = this.thousandth(that.datas.outPointCounts);
                    this.out1MPointCount = this.thousandth(that.datas.out1MPointCount);
                    this.percent = (this.outPointCounts/this.pointCounts)*100 + '%';
                    console.log('percent',this.percent);
                    // that.pointlist = that.datas.memberPointsList;
                    that.datas.memberPointsList.forEach((item,index)=>{
                        that.pointlist.push({
                            CreateTime:item.CreateTime,
                            pointType:item.pointType,
                            ponint: this.thousandth(item.ponint)
                        })
                    })
                    console.log('pointlist',that.pointlist);
                    this.$forceUpdate();
                },
                (error)=> {
                    console.log('error',error);
                },
            )
        }
    },
    created(){
        this.getAjax();
        this.contactId='';
        this.pointCounts='';//有效点数
        this.outPointCounts='';//三个月到期点数
        this.ponint='';//积分
        this.pointType='';//积分类型
        this.CreateTime='';//积分生产日期
        this.pointlist = [];
        this.out1MPointCount = '';
        this.popshow = false;
        this.percent = '';
    }

}
</script>
<style scoped>
  .interalRecord{
    height: 100%;
  }
  /*.pop_termsBox h2{*/
    /*font-size: 0.35rem;*/
  /*}*/
  .pop_content{
    width: 86%;
    padding-left: 25px;
  }
  .pop_info{
    max-height: 400px;
    overflow: auto;
  }
  /*.pop_bk{*/
    /*font-size: 0.35rem;*/
  /*}*/
  .in_text{
    list-style-type: disc !important;
    font-size: 0.23rem;
    line-height: 25px;
  }
  .point_list_item{
    padding-top: 0.22rem;
  }
  .point_list_item > [class^="item_"]{
    font-size: 0.25rem;
    line-height: 25px;
    /*-webkit-box-flex: 1.2;*/
    /*-ms-flex: 1.2;*/
    /*flex: 1.2;*/
    /*text-align: left;*/
  }
  .point_list_content{
    padding-top: 0.1rem;
  }
  .pop_ul{
    margin-left: 3px;
  }
  .point_list_item .item_img{
    width: 25px;
    height: 25px;
  }
  div.progress{
    height: 6px;
  }
  .point_progress div.progress span.progress_current--expirePoint{
    height: 180%;
  }
</style>
